Uploaded image for project: 'Coin'
  1. Coin
  2. COIN-248

Agent has missing log and finished with PASSED

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: 1.0
    • Fix Version/s: None
    • Component/s: Agent
    • Labels:
      None

      Description

      During uploading module build artifacts, the agent 1558207098-924 log was cut off in the middle:

       

      agent:2019/05/17 13:08:02 build.go:783: agent:2019/05/17 13:08:02 build.go:534: Executing instruction 14 of 14 - UploadArtifactagent:2019/05/17 13:08:02 storageclient.go:296: Creating artifacts archive and uploading itagent:2019/05/17 13:08:02 storageclient.go:316: Archive starts at directory /home/qt/work/install_root//home/qt/workagent:2019/05/17 13:08:16 build.go:783: 2019-05-17 13:08:16,276.276 INFO:workitem.py:532(19778): Agent FINISHED PASS: qt/qtbase/b17f5a6f4289890872a17e29f682d46e302b69cd/LinuxopenSUSE_15_0x86_64LinuxWebAssemblyx86_64GCCqtci-linux-openSUSE-15.0-x86_64-796cb8DeveloperBuild_DisableTests_NoPch/825e7562d49596d49ae22649c3c4316264a99b4f/Build

      but Coin think it the build was still finished, successfully.

       

      While uploading module build artifact, the agent connection was had been lost:

       

      2019-05-17 13:06:10,814.814 INFO:storage.py:594(31992): upload of UploadModuleBuildArtifact to qt/qtbase/4e08108745b41314c6d3b5b35e66f4cb1d0024d9/LinuxRHEL_7_4x86_64AndroidAndroid_ANYx86GCCqtci-linux-RHEL
      -7.4-x86_64-dd7b07DisableTests_NoUseGoldLinker_OpenGLES2_Release/825e7562d49596d49ae22649c3c4316264a99b4f/build_1558207153
      2019-05-17 13:06:13,194.194 ERROR:application.py:217(19778): Connection to a service failed
      ESC[31mTraceback (most recent call last):
        File "/home/citest/.local/share/virtualenvs/tqtc-coin-ci-OCUKJFef/lib/python3.6/site-packages/thriftpy/transport/socket.py", line 96, in open
          self.sock.connect(addr)
      OSError: [Errno 113] No route to hostDuring handling of the above exception, another exception occurred:Traceback (most recent call last):
        File "/home/citest/tqtc-coin-ci/src/application.py", line 211, in __aenter__
          return self.MethodProxy(self.context.__enter__(*args, **keys), [])
        File "/usr/lib/python3.6/contextlib.py", line 81, in __enter__
          return next(self.gen)
        File "/home/citest/.local/share/virtualenvs/tqtc-coin-ci-OCUKJFef/lib/python3.6/site-packages/thriftpy/rpc.py", line 111, in client_context
          transport.open()
        File "thriftpy/transport/buffered/cybuffered.pyx", line 34, in thriftpy.transport.buffered.cybuffered.TCyBufferedTransport.open
        File "/home/citest/.local/share/virtualenvs/tqtc-coin-ci-OCUKJFef/lib/python3.6/site-packages/thriftpy/transport/socket.py", line 104, in open
          message="Could not connect to %s" % str(addr))
      thriftpy.transport.TTransportException: TTransportException(type=1, message="Could not connect to ('10.225.252.122', 49753)")ESC[0m
      
      

       

      It is likely that the error has not been propagated.

       

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            falt Simo Fält
            Reporter:
            aakeskimo Aapo Keskimölö
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes